com.amazonaws.services.codedeploy.model

## Class ListDeploymentsRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.codedeploy.model.ListDeploymentsRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class ListDeploymentsRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

Represents the input of a list deployments operation.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`ListDeploymentsRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ListDeploymentsRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getApplicationName()` The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.
`TimeRange` `getCreateTimeRange()` A time range (start and end) for returning a subset of the list of deployments.
`String` `getDeploymentGroupName()` The name of an existing deployment group for the specified application.
`List<String>` `getIncludeOnlyStatuses()` A subset of deployments to list by status:
`String` `getNextToken()` An identifier returned from the previous list deployments call.
`int` `hashCode()`
`void` `setApplicationName(String applicationName)` The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.
`void` `setCreateTimeRange(TimeRange createTimeRange)` A time range (start and end) for returning a subset of the list of deployments.
`void` `setDeploymentGroupName(String deploymentGroupName)` The name of an existing deployment group for the specified application.
`void` `setIncludeOnlyStatuses(Collection<String> includeOnlyStatuses)` A subset of deployments to list by status:
`void` `setNextToken(String nextToken)` An identifier returned from the previous list deployments call.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ListDeploymentsRequest` `withApplicationName(String applicationName)` The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.
`ListDeploymentsRequest` `withCreateTimeRange(TimeRange createTimeRange)` A time range (start and end) for returning a subset of the list of deployments.
`ListDeploymentsRequest` `withDeploymentGroupName(String deploymentGroupName)` The name of an existing deployment group for the specified application.
`ListDeploymentsRequest` `withIncludeOnlyStatuses(Collection<String> includeOnlyStatuses)` A subset of deployments to list by status:
`ListDeploymentsRequest` `withIncludeOnlyStatuses(DeploymentStatus... includeOnlyStatuses)` A subset of deployments to list by status:
`ListDeploymentsRequest` `withIncludeOnlyStatuses(String... includeOnlyStatuses)` A subset of deployments to list by status:
`ListDeploymentsRequest` `withNextToken(String nextToken)` An identifier returned from the previous list deployments call.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ListDeploymentsRequest

    public ListDeploymentsRequest()

### Method Detail

#### setApplicationName

    public void setApplicationName(String applicationName)

The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.

Parameters:
  `applicationName` - The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.

#### getApplicationName

    public String getApplicationName()

The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.

Returns:
  The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.

#### withApplicationName

    public ListDeploymentsRequest withApplicationName(String applicationName)

The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.

Parameters:
  `applicationName` - The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDeploymentGroupName

    public void setDeploymentGroupName(String deploymentGroupName)

The name of an existing deployment group for the specified application.

Parameters:
  `deploymentGroupName` - The name of an existing deployment group for the specified application.

#### getDeploymentGroupName

    public String getDeploymentGroupName()

The name of an existing deployment group for the specified application.

Returns:
  The name of an existing deployment group for the specified application.

#### withDeploymentGroupName

    public ListDeploymentsRequest withDeploymentGroupName(String deploymentGroupName)

The name of an existing deployment group for the specified application.

Parameters:
  `deploymentGroupName` - The name of an existing deployment group for the specified application.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getIncludeOnlyStatuses

    public List<String> getIncludeOnlyStatuses()

A subset of deployments to list by status:

- Created: Include created deployments in the resulting list.

- Queued: Include queued deployments in the resulting list.

- In Progress: Include in-progress deployments in the resulting list.

- Succeeded: Include successful deployments in the resulting list.

- Failed: Include failed deployments in the resulting list.

- Stopped: Include stopped deployments in the resulting list.

Returns:
  A subset of deployments to list by status:

  - Created: Include created deployments in the resulting list.

  - Queued: Include queued deployments in the resulting list.

  - In Progress: Include in-progress deployments in the resulting list.

  - Succeeded: Include successful deployments in the resulting list.

  - Failed: Include failed deployments in the resulting list.

  - Stopped: Include stopped deployments in the resulting list.

See Also:
  `DeploymentStatus`

#### setIncludeOnlyStatuses

    public void setIncludeOnlyStatuses(Collection<String> includeOnlyStatuses)

A subset of deployments to list by status:

- Created: Include created deployments in the resulting list.

- Queued: Include queued deployments in the resulting list.

- In Progress: Include in-progress deployments in the resulting list.

- Succeeded: Include successful deployments in the resulting list.

- Failed: Include failed deployments in the resulting list.

- Stopped: Include stopped deployments in the resulting list.

Parameters:
  `includeOnlyStatuses` - A subset of deployments to list by status:

  - Created: Include created deployments in the resulting list.

  - Queued: Include queued deployments in the resulting list.

  - In Progress: Include in-progress deployments in the resulting list.

  - Succeeded: Include successful deployments in the resulting list.

  - Failed: Include failed deployments in the resulting list.

  - Stopped: Include stopped deployments in the resulting list.

See Also:
  `DeploymentStatus`

#### withIncludeOnlyStatuses

    public ListDeploymentsRequest withIncludeOnlyStatuses(String... includeOnlyStatuses)

A subset of deployments to list by status:

- Created: Include created deployments in the resulting list.

- Queued: Include queued deployments in the resulting list.

- In Progress: Include in-progress deployments in the resulting list.

- Succeeded: Include successful deployments in the resulting list.

- Failed: Include failed deployments in the resulting list.

- Stopped: Include stopped deployments in the resulting list.

NOTE: This method appends the values to the existing list (if any). Use `setIncludeOnlyStatuses(java.util.Collection)` or `withIncludeOnlyStatuses(java.util.Collection)` if you want to override the existing values.

Parameters:
  `includeOnlyStatuses` - A subset of deployments to list by status:

  - Created: Include created deployments in the resulting list.

  - Queued: Include queued deployments in the resulting list.

  - In Progress: Include in-progress deployments in the resulting list.

  - Succeeded: Include successful deployments in the resulting list.

  - Failed: Include failed deployments in the resulting list.

  - Stopped: Include stopped deployments in the resulting list.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `DeploymentStatus`

#### withIncludeOnlyStatuses

    public ListDeploymentsRequest withIncludeOnlyStatuses(Collection<String> includeOnlyStatuses)

A subset of deployments to list by status:

- Created: Include created deployments in the resulting list.

- Queued: Include queued deployments in the resulting list.

- In Progress: Include in-progress deployments in the resulting list.

- Succeeded: Include successful deployments in the resulting list.

- Failed: Include failed deployments in the resulting list.

- Stopped: Include stopped deployments in the resulting list.

Parameters:
  `includeOnlyStatuses` - A subset of deployments to list by status:

  - Created: Include created deployments in the resulting list.

  - Queued: Include queued deployments in the resulting list.

  - In Progress: Include in-progress deployments in the resulting list.

  - Succeeded: Include successful deployments in the resulting list.

  - Failed: Include failed deployments in the resulting list.

  - Stopped: Include stopped deployments in the resulting list.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `DeploymentStatus`

#### withIncludeOnlyStatuses

    public ListDeploymentsRequest withIncludeOnlyStatuses(DeploymentStatus... includeOnlyStatuses)

A subset of deployments to list by status:

- Created: Include created deployments in the resulting list.

- Queued: Include queued deployments in the resulting list.

- In Progress: Include in-progress deployments in the resulting list.

- Succeeded: Include successful deployments in the resulting list.

- Failed: Include failed deployments in the resulting list.

- Stopped: Include stopped deployments in the resulting list.

Parameters:
  `includeOnlyStatuses` - A subset of deployments to list by status:

  - Created: Include created deployments in the resulting list.

  - Queued: Include queued deployments in the resulting list.

  - In Progress: Include in-progress deployments in the resulting list.

  - Succeeded: Include successful deployments in the resulting list.

  - Failed: Include failed deployments in the resulting list.

  - Stopped: Include stopped deployments in the resulting list.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `DeploymentStatus`

#### setCreateTimeRange

    public void setCreateTimeRange(TimeRange createTimeRange)

A time range (start and end) for returning a subset of the list of deployments.

Parameters:
  `createTimeRange` - A time range (start and end) for returning a subset of the list of deployments.

#### getCreateTimeRange

    public TimeRange getCreateTimeRange()

A time range (start and end) for returning a subset of the list of deployments.

Returns:
  A time range (start and end) for returning a subset of the list of deployments.

#### withCreateTimeRange

    public ListDeploymentsRequest withCreateTimeRange(TimeRange createTimeRange)

A time range (start and end) for returning a subset of the list of deployments.

Parameters:
  `createTimeRange` - A time range (start and end) for returning a subset of the list of deployments.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setNextToken

    public void setNextToken(String nextToken)

An identifier returned from the previous list deployments call. It can be used to return the next set of deployments in the list.

Parameters:
  `nextToken` - An identifier returned from the previous list deployments call. It can be used to return the next set of deployments in the list.

#### getNextToken

    public String getNextToken()

An identifier returned from the previous list deployments call. It can be used to return the next set of deployments in the list.

Returns:
  An identifier returned from the previous list deployments call. It can be used to return the next set of deployments in the list.

#### withNextToken

    public ListDeploymentsRequest withNextToken(String nextToken)

An identifier returned from the previous list deployments call. It can be used to return the next set of deployments in the list.

Parameters:
  `nextToken` - An identifier returned from the previous list deployments call. It can be used to return the next set of deployments in the list.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ListDeploymentsRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`